# List Comments

> Source: https://truto.one/docs/api-reference/unified-ci-cd-api/comments/list/

`GET /unified/ci-cd/comments`

Resource: **Comments** · API: **Unified CI/CD API**

## Supported integrations

GitHub

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. - `debug` returns the final unified result alongside raw remote fetch information. The response is an envelope containing `result` (identical to unified mode output) and `debug` (with `requestUrl`, `requestOptions`, `data`, `responseHeaders`, and for list operations: `nextCursor`, `isLooping`, `isEmptyResult`, `resultCount`). `debug` is `null` for static responses or when `truto_skip_api_call=true`. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`, `debug`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`owner`** _(unknown)_
  The slug of the owner on Github.
- **`repo`** _(unknown)_
  The slug of the repository on Github.
- **`pull_request`** _(object)_
  The pull request to filter comments by.
- **`type`** _(string)_
  Filter by comment type. Defaults to issue_comment.
  Allowed: `conversation_comment`, `review_comment`
- **`updated_at`** _(string)_
  The date and time when the comment was last updated

## Response body

- **`result`** _(array<object>)_
  List of Comments
  - **`id`** _(string, required)_
    The unique identifier for the comment
  - **`pull_request`** _(object)_
    The pull request that the comment belongs to
    - **`id`** _(string)_
      The unique identifier for the pull request
    - **`number`** _(integer)_
      The number of the pull request
  - **`body`** _(object)_
    The body of the comment
    - **`content`** _(string)_
      The content of the comment
    - **`format`** _(string)_
      The format of the comment body
      Allowed: `markdown`, `html`, `plaintext`
  - **`author`** _(object)_
    The author of the comment
    - **`id`** _(string)_
      The unique identifier for the author
    - **`username`** _(string)_
      The username of the author
    - **`type`** _(string)_
      The type of the author
      Allowed: `user`, `bot`
  - **`type`** _(string)_
    The type of the comment
    Allowed: `conversation_comment`, `review_comment`
  - **`parent`** _(object)_
    The parent comment this is a reply to
    - **`id`** _(string)_
      The unique identifier for the comment
  - **`path`** _(string)_
    The file path the comment is associated with (for review comments)
  - **`line`** _(integer)_
    The line number the comment is associated with (for review comments)
  - **`commit`** _(object)_
    The commit the comment is associated with
    - **`id`** _(string)_
      The SHA of the commit
  - **`created_at`** _(string)_
    The date and time when the comment was created
  - **`updated_at`** _(string)_
    The date and time when the comment was last updated
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.
- **`debug`** _(object)_
  Present only when `truto_response_format=debug`. Contains raw fetch details: `requestUrl`, `requestOptions`, `data`, `responseHeaders`, `nextCursor`, `isLooping`, `isEmptyResult`, `resultCount`. `null` for static responses or when `truto_skip_api_call=true`.
  - **`requestUrl`** _(string)_
  - **`requestOptions`** _(object)_
  - **`data`** _(unknown)_
  - **`responseHeaders`** _(object)_
  - **`nextCursor`** _(string)_
  - **`isLooping`** _(boolean)_
  - **`isEmptyResult`** _(boolean)_
  - **`resultCount`** _(number)_

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/ci-cd/comments?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ci-cd/comments?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ci-cd/comments"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ci-cd',
  'comments',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ci-cd",
        "comments",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
